import type { S3Client } from '@aws-sdk/client-s3';
import type { DownloadResult, Fetcher, S3Config } from './types.js';
export declare function defaultFetcher(url: string, kind?: 'json' | 'xml'): Promise<import("node-fetch").Response>;
export declare function checkFileExists(client: S3Client, id: string, path: string, config: S3Config): Promise<string | null>;
/**
 * Find if file exists on one of the S3 paths
 */
export declare function findFile(client: S3Client, id: string, config: S3Config): Promise<{
    path: string;
    type: string;
} | undefined>;
export declare function downloadFileFromS3(client: S3Client, filePath: string, config: S3Config): Promise<DownloadResult>;
export declare function streamToFile(url: string, dest: string, fetcher?: Fetcher): Promise<{
    success: boolean;
    status: number;
    statusText: string;
    dest?: undefined;
} | {
    success: boolean;
    dest: string;
    status: number;
    statusText: string;
}>;
//# sourceMappingURL=utils.d.ts.map